
Foreman - Feature #996

add plugins support

06/19/2011 04:06 AM - Ohad Levy

Status: Resolved   

Priority: Normal   

Assignee: Joseph Magen   

Category: Plugin integration   

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Foreman should allow 3rd party plugins support.

this would allow people to customize foreman for their needs without breaking the core functionality.

Related issues:

Precedes Foreman - Feature #657: Physical location management/visualization New 06/20/2011 06/20/2011

History

#1 - 09/23/2011 08:31 AM - monte olvera

this feature would really be nice as I would like to either 1)  create a tab in Foreman which provides a link to a ChiliProject's Puppet Git Repository or

2) Create a Foreman Puppet Git Repository Plugin.

#2 - 04/03/2012 04:48 PM - Brian Smith

Since foreman is a rails project, I see that we have the vendor/plugins directory, so in theory, you can already write plugins for the application.  The

question (for me, at least) is how extensible are the objects used for the Host and Host Group interfaces in terms of adding a settings tab and

selected options.  I envision puppet modules in ruby DSL that pull input data from foreman plugins for things like managing crontabs, package

management, user management, iptables, etc.

#3 - 04/04/2012 02:06 AM - Ohad Levy

Rails provides the ability to add plugins via rails engines, the main question here is where to add UI hooks, so you could easily extend the UI as well.

I think the good working model is redmine, and once someone have free cycle to work on this, she should look into that.

#4 - 12/16/2012 09:34 AM - Joseph Magen

Plugins are introduced in Foreman 1.1.  You can read more at http://theforeman.org/projects/foreman/wiki/Plugins

#5 - 01/21/2013 09:08 AM - Dominic Cleal

- Category set to Plugin integration

- Status changed from New to Resolved

- Assignee set to Joseph Magen

- Target version set to 1.1
